# graspjs
[![Build Status][build-image]][build-url]
[![Code GPA][gpa-image]][gpa-url]
[![Test Coverage][coverage-image]][coverage-url]
[![Dependency Status][depstat-image]][depstat-url]
[![Bower Version][bower-image]][bower-url]
[![NPM version][npm-image]][npm-url]
[![IRC Channel][irc-image]][irc-url]
[![Gitter][gitter-image]][gitter-url]
[![GitTip][tip-image]][tip-url]

## About

Grasp.js is a hand grip pattern recognition micro-library for mobile devices.

This standalone library uses the available sensors on a mobile device as well as how various gestures are performed to detect which hand may be holding the phone.

## Examples

### JavaScript

```JavaScript
  // TODO
```

### CoffeeScript

```CoffeeScript
  # TODO
```

## Install Choices
- `bower install graspjs`
- [download the zip](https://github.com/daniellmb/graspjs/archive/master.zip)

## Tasks

All tasks can be run by simply running `gulp` or with the `npm test` command, or individually:

  * `gulp lint` will lint source code for syntax errors and anti-patterns.
  * `gulp gpa` will analyze source code against complexity thresholds.
  * `gulp test` will run the jasmine unit tests against the source code.
  * `gulp test-coffee` will run the jasmine unit tests against the CoffeeScript source code.
  * `gulp test-min` will run the jasmine unit tests against the minified code.

## License

(The MIT License)

Copyright (c) 2015 Daniel Lamb dlamb.open.source@gmail.com

Permission is hereby granted, free of charge, to any person obtaining
a copy of this software and associated documentation files (the
'Software'), to deal in the Software without restriction, including
without limitation the rights to use, copy, modify, merge, publish,
distribute, sublicense, and/or sell copies of the Software, and to
permit persons to whom the Software is furnished to do so, subject to
the following conditions:

The above copyright notice and this permission notice shall be
included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND,
EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY
CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,
TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE
SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.



[build-url]: https://travis-ci.org/daniellmb/graspjs
[build-image]: http://img.shields.io/travis/daniellmb/grasp.js.png

[gpa-url]: https://codeclimate.com/github/daniellmb/graspjs
[gpa-image]: https://codeclimate.com/github/daniellmb/grasp.js.png

[coverage-url]: https://codeclimate.com/github/daniellmb/graspjs/code?sort=covered_percent&sort_direction=desc
[coverage-image]: https://codeclimate.com/github/daniellmb/graspjs/coverage.png

[depstat-url]: https://david-dm.org/daniellmb/graspjs
[depstat-image]: https://david-dm.org/daniellmb/grasp.js.png?theme=shields.io

[issues-url]: https://github.com/daniellmb/graspjs/issues
[issues-image]: http://img.shields.io/github/issues/daniellmb/grasp.js.png

[bower-url]: http://bower.io/search/?q=graspjs
[bower-image]: https://badge.fury.io/bo/grasp.js.png

[downloads-url]: https://www.npmjs.org/package/graspjs
[downloads-image]: http://img.shields.io/npm/dm/grasp.js.png

[npm-url]: https://www.npmjs.org/package/graspjs
[npm-image]: https://badge.fury.io/js/grasp.js.png

[irc-url]: http://webchat.freenode.net/?channels=graspjs
[irc-image]: http://img.shields.io/badge/irc-%23graspjs-brightgreen.png

[gitter-url]: https://gitter.im/daniellmb/graspjs
[gitter-image]: http://img.shields.io/badge/gitter-daniellmb/graspjs-brightgreen.png

[tip-url]: https://www.gittip.com/daniellmb
[tip-image]: http://img.shields.io/gittip/daniellmb.png